SDL_SetJoystickVirtualAxis(3)

NAME
SDL_SetJoystickVirtualAxis - Set the state of an axis on an opened virtual joystick.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_SetJoystickVirtualAxis(SDL_Joystick *joystick, int axis, Sint16 value);

DESCRIPTION
Please note that values set here will not be applied until the next call to

SDL_UpdateJoysticks , which can either be called directly, or can be called indirectly through various other SDL APIs, including, but not limited to the following:

SDL_PollEvent , SDL_PumpEvents ,

SDL_WaitEventTimeout ,

SDL_WaitEvent .

Note that when sending trigger axes, you should scale the value to the full range of Sint16 . For example, a trigger at rest would have the value of SDL_JOYSTICK_AXIS_MIN .

FUNCTION PARAMETERS

joystick
    the virtual joystick on which to set state.

axis
    the index of the axis on the virtual joystick to update.

value
    the new value for the specified axis.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.